import React, { Component as ReactComponent } from 'react';
import {
  Actions as ReactToastActions,
  Store as ReactToastStore,
  Container as ReactToastContainer
} from './index';

class ReactToastHarness extends ReactComponent {
  constructor () {
    super();
    this.state = {
      message  : '',
      messages : ReactToastStore.getAll()
    };
  }

  componentWillMount () {
    ReactToastStore.addChangeListener(this.refreshToastMessages.bind(this));
  }

  componentWillUnmount () {
    ReactToastStore.removeChangeListener(this.refreshToastMessages.bind(this));
  }

  refreshToastMessages () {
    this.setState({
      messages : ReactToastStore.getAll()
    });
  }

  handleInputChange (e) {
    this.setState({
      message : e.target.value
    });
  }

  createMessage () {
    ReactToastActions.success(this.state.message);
    this.setState({
      message : ''
    });
  }

  render () {
    return (
      <div className='react-toast-harness'>
        <ReactToastContainer messages={this.state.messages} />
        <input type='text'
               value={this.state.message}
               onChange={this.handleInputChange.bind(this)} />
        <button onClick={this.createMessage.bind(this)}>Create Toast Message</button>
      </div>
    );
  }
}

React.render(<ReactToastHarness />, document.body);
