import ReactToastDispatcher from './dispatcher';
import {
  REACT_TOAST_CREATE,
  REACT_TOAST_DESTROY
} from './constants';

const ReactToastActions = {
  create : function (type, message) {
    ReactToastDispatcher.dispatch({
      actionType : REACT_TOAST_CREATE,
      payload    : { type, message }
    });
  },

  destroy : function (id) {
    ReactToastDispatcher.dispatch({
      actionType : REACT_TOAST_DESTROY,
      payload    : { id }
    });
  }
};

['info', 'success', 'warn', 'error'].forEach(type => {
  ReactToastActions[type] = ReactToastActions.create.bind(undefined, type);
});

export default ReactToastActions;
