import React, { Component as ReactComponent } from 'react';
import { destroy } from './actions';

const BASE_CLASS = 'react-toast__message';

class ReactToastMessage extends ReactComponent {
  constructor () {
    super();
  }

  destroy () {
    destroy(this.props.message.id);
  }

  render () {
    const { message, type } = this.props.message,
          classes = [
            `${BASE_CLASS}`,
            `${BASE_CLASS}--${type}`
          ].join(' ');

    return (
      <div className={classes} onClick={this.destroy.bind(this)}>
        <span className={`${BASE_CLASS}__text`}>{message}</span>
      </div>
    );
  }
}

export default ReactToastMessage;
